name: dotnet
description: "Run a dotnet command."
inputs:
  command:
    description: "Dotnet command to run."
    required: false
  program:
    description: "Program to run instead of dotnet. Default: dotnet"
    required: false
    default: "dotnet"
  catchErrors:
    description: "Whether or not errors should be handled."
    required: false
runs:
  env:
    PROGRAM: ${{ inputs.program }}
    CATCH_ERRORS: ${{ inputs.catchErrors }}
  using: 'docker'
  image: 'Dockerfile'
  args:
  - ${{ inputs.command }}